org.eclipse.rdf4j.query.resultio.text.tsv

## Class SPARQLStarResultsTSVWriter

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultWriter
  - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter
    - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVWriter

- All Implemented Interfaces:
    CharSink, Sink, QueryResultHandler, QueryResultWriter, TupleQueryResultWriter, TupleQueryResultHandler
  Direct Known Subclasses:
    SPARQLStarResultsTSVWriter

      public class SPARQLStarResultsTSVWriter
      extends SPARQLResultsTSVWriter

  Writer for SPARQL-star TSV results. This is equivalent to the SPARQL TSV writer with the addition of support for RDF-star triples. Triples will be serialized in Turtle-star fashion with the notable exception that any embedded literals will not use the triple quotes notation (as regular literals in SPARQL TSV).
  Author:
    Pavel Mihaylov

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter

      `tupleVariablesFound, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLStarResultsTSVWriter(OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` Gets the query result format that this writer uses.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVWriter

      `endHeader, endQueryResult, getQueryResultFormat, getWriter, handleBoolean, handleLinks, handleNamespace, handleSolutionImpl, handleStylesheet, startDocument, startHeader, startQueryResult, writeBNode, writeResource, writeURI, writeValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultWriter

      `getFileFormat, getSupportedSettings, getWriterConfig, handleSolution, setWriterConfig, xsdStringToPlainLiteral`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultWriter

      `getSupportedSettings, getWriterConfig, setWriterConfig`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResultHandler

      `handleSolution`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat, getFileFormat`

- - ### Constructor Detail

    - #### SPARQLStarResultsTSVWriter

          public SPARQLStarResultsTSVWriter(OutputStream out)

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultWriter`
      Gets the query result format that this writer uses.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultWriter`
      Overrides:
        `getTupleQueryResultFormat` in class `SPARQLResultsTSVWriter`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.